View Issue Details

IDProjectCategoryView StatusLast Update
0037392pas2jstranspilerpublic2020-10-26 22:58
ReporterPavol S Assigned ToMattias Gaertner  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Summary0037392: Wrong calculation negative integer values with DIV
DescriptionPascal:
Writeln(-1 div 12);
0

Pas2JS:
Writeln(-1 div 12);
-1
Compiled into JS: Math.floor(-1 / 12). Bug is visible in SysUtils procedure IncAMonth with negative month values.
Maybe compiled into JS: Math.round(-1/12); will be better?

TagsNo tags attached.
Fixed in Revision
Attached Files

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2020-07-20 15:27 Pavol S New Issue
2020-10-23 12:07 Mattias Gaertner Assigned To => Mattias Gaertner
2020-10-23 12:07 Mattias Gaertner Status new => assigned
2020-10-26 22:58 Mattias Gaertner Status assigned => resolved
2020-10-26 22:58 Mattias Gaertner Resolution open => fixed